# APU-Router
Das Routing soll auf ein seperates Gerät ausgelagert werden.

## Planung
### Problembeschreibung
Aktuell läuft das Routing zusammen mit anderen Systemiensten auf einem Gerät. Dies ist schlecht, da die Last auf anderen Diensten das Routing beeinflussen kann.
Darüber hinaus ist die Seperation des Routings erster Schritt zur redundanteren Ausführung des Setups.

### Lösungsbeschreibung

Das APU-Board wird mit über einen Switch am Uplink angeschlossen. Anschließend wird es so konfiguriert, dass es äquivalent und parallel zum bisherigen Router arbeitet. Danach können einzelne Antennen so umkonfiguriert werden, das sie durch das neue Board geroutet werden.
#### Einzelschritte
[] Lede aufs Board spielen

[] Standardwerte konfigurieren
	[] SSH Keys setzen
	[] hostname
	[] IP-Addressen
[] Routing config in Lede schreiben
[] NAT konfigurieren
[] DNS einrichten
[] Firewall anpassen
[] IFB konfigurieren
[] Neunzehn zu laufen bringen
[] andere Funktionen von Lede deaktivieren
[] Die gesamte Konfiguration in Ansible umsetzen

[] Board aufstellen
	[] Ein Kabel an den Uplink-Switch
	[] Ein Kabel an das interne Netz

### Materialanforderungen
Eine Auflistung der für das Projekt notwendigen Materialien

[x] APU-Board
	[x] Gehäuse 
[x] Netzwerkkabel

### Rechercheanforderungen
Eine Auflistung von notwendigem Wissen/Unklarheiten für die umsetzung des Projekts.

[ ] Lede Firewall-Zoning
[ ] DNS Server unter Lede
[ ] IFB und Traffikshaping in Lede 

## Umsetzung
### Fortschrittslogbug


### Abschlussbericht
